From cb80057051e15ff0384497c064f4bc596412103f Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:14 +0000
Subject: [PATCH 421/2232] Wire up Vec destructor


---

diff --git a/include/cxx.h b/include/cxx.h
index 5f369d4..d3721ea 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -205,6 +205,8 @@ private:
 template <typename T>
 class Vec final {
 public:
+  ~Vec() noexcept { this->drop(); }
+
   size_t size() const noexcept;
   bool empty() const noexcept { return size() == 0; }
 

